PHP versie 7

PHP versie 7

Illustratie door Webdesign

PHP 7 en de voordelen

Standaard worden bij alle nieuwe hosting pakketten van MijnHostingPartner.nl de laatst beschikbare PHP versie actief gemaakt. Wij geven je hierin altijd de vrijheid om van versie 5.6.x en 7.x gebruik te maken. Dit omdat nog niet elke website werkt met PHP 7. Je kan er vanuit gaan dat elke nieuwe website van bijvoorbeeld WordPress hosting en OpenCart standaard al 7.x ondersteund.

Maar waarom is het belangrijk om van de laatste PHP versies gebruik te maken? Dat heeft een aantal belangrijke redenen. Laten we ze behandelen in deze blog post.

Snelheid

Snelheid van jouw website is natuurlijk altijd een belangrijk onderdeel. Waarom wordt hier zo de focus op gelegd? Dit komt doordat je hier klanten mee kan verliezen. Zeker op mobiel is dit een factor waar een hoop klanten afzeggen als ze langer dan 3 seconden moeten wachten op een website. Het is natuurlijk niet de enige oplossing voor alle optimalisatie van je website maar PHP 7 zorgt ervoor dat het sneller werkt. Daarom is het naast je website code dit belangrijk om van de laatst beschikbare versie gebruik te maken.

Bug fixen en stabiliteit

De laatste versies van PHP hosting zijn belangrijk om te gebruiken, naast de snelheid zoals hierboven vermeld heeft dit ook te maken met de stabiliteit van je website. De laatste versies brengen namelijk altijd bug fixes mee die hinder kunnen oplossen op je website.

Houdt er wel rekening mee dat bepaalde verouderde en niet veilige functies niet meer ondersteund worden. Zoals mysql(); wordt niet meer ondersteund in de PHP 7.x versies. Deze functie om verbinding te maken met MySQL is namelijk niet meer veilig. We raden aan om de PDO functie te gebruiken om verbinding te maken met je database.

Makkelijk te activeren bij MijnHostingPartner.nl

PHP 7.x versies zijn gemakkelijk te activeren bij ons, het is een kwestie van inloggen in het control panel en onder websites -> extensions hem te selecteren uit de lijst. Dit wordt dat gelijk doorgevoerd zonder verdere nodige actie. Als je een 500 error krijgt op je website weet je dus meteen dat je website nog geen 7.x ondersteund. Met de uitgebreide foutmeldingen is dit te achterhalen wat nog bijgewerkt moet worden.